Api reference
Update a product section
Authorization
ApiKeyAuth x-api-key<token>
API key created in CourseLit dashboard settings. The legacy apikey request-body field is still accepted but deprecated.
In: header
Path Parameters
productId*string
sectionId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://school.courselit.app/api/products/string/sections/string" \ -H "Content-Type: application/json" \ -d '{ "name": "Updated getting started", "drip": { "status": true, "type": "relative-date", "delayInMillis": 2 } }'{
"sectionId": "string",
"name": "string",
"rank": 0,
"collapsed": true,
"drip": {
"type": "relative-date",
"status": true,
"delayInMillis": 0,
"dateInUTC": 0
},
"lessonsOrder": [
"string"
]
}{
"error": {
"code": "string",
"message": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}